## AgsSoundEnums

AgsSoundEnums — sound enumerations

## Stability Level

Stable, unless otherwise indicated

## Types and Values

enum | AgsSoundAbilityFlags
enum | AgsSoundBehaviourFlags
enum | AgsSoundScope
enum | AgsSoundStagingFlags
enum | AgsSoundStateFlags
enum | AgsSoundKeyFormat

## Object Hierarchy

        GEnum
        ├── AgsSoundKeyFormat
        ╰── AgsSoundScope
        GFlags
        ├── AgsSoundAbilityFlags
        ├── AgsSoundBehaviourFlags
        ├── AgsSoundStagingFlags
        ╰── AgsSoundStateFlags

## Includes

    #include <ags/audio/ags_sound_enums.h>

## Description

Enumerations related to sound.

## Functions

## Types and Values

### enum AgsSoundAbilityFlags

Enum values to specify particular ability. Mark an object to be able to handle matching scope.

#### Members

AGS_SOUND_ABILITY_PLAYBACK | playback ability |
AGS_SOUND_ABILITY_SEQUENCER | sequenecer ability |
AGS_SOUND_ABILITY_NOTATION | notation abilitiy |
AGS_SOUND_ABILITY_WAVE | wave abilitiy |
AGS_SOUND_ABILITY_MIDI | MIDI ability |

### enum AgsSoundBehaviourFlags

Enum values to describe behaviour.

#### Members

AGS_SOUND_BEHAVIOUR_PATTERN_MODE | pattern mode |
AGS_SOUND_BEHAVIOUR_BULK_MODE | bulk mode |
AGS_SOUND_BEHAVIOUR_REVERSE_MAPPING | reverse mapping |
AGS_SOUND_BEHAVIOUR_DEFAULTS_TO_OUTPUT | defaults to output |
AGS_SOUND_BEHAVIOUR_DEFAULTS_TO_INPUT | defaults to input |
AGS_SOUND_BEHAVIOUR_CHAINED_TO_OUTPUT | chained to output |
AGS_SOUND_BEHAVIOUR_CHAINED_TO_INPUT | chained to input |
AGS_SOUND_BEHAVIOUR_PERSISTENT | persistent |
AGS_SOUND_BEHAVIOUR_PERSISTENT_PLAYBACK | persistent playback |
AGS_SOUND_BEHAVIOUR_PERSISTENT_NOTATION | persistent notation |
AGS_SOUND_BEHAVIOUR_PERSISTENT_SEQUENCER | persistent sequencer |
AGS_SOUND_BEHAVIOUR_PERSISTENT_WAVE | persistent wave |
AGS_SOUND_BEHAVIOUR_PERSISTENT_MIDI | persistent MIDI |
AGS_SOUND_BEHAVIOUR_PROPAGATE_DONE | propagate done |

### enum AgsSoundScope

Enum values to specify current scope or request current scope.

#### Members

AGS_SOUND_SCOPE_PLAYBACK | playback scope |
AGS_SOUND_SCOPE_SEQUENCER | sequencer scope |
AGS_SOUND_SCOPE_NOTATION | notation ability |
AGS_SOUND_SCOPE_WAVE | wave ability |
AGS_SOUND_SCOPE_MIDI | MIDI scope |
AGS_SOUND_SCOPE_LAST | the last scope |

### enum AgsSoundStagingFlags

Enum values to stage the specified action.

#### Members

AGS_SOUND_STAGING_CHECK_RT_DATA | check rt-data |
AGS_SOUND_STAGING_RUN_INIT_PRE | run init pre |
AGS_SOUND_STAGING_RUN_INIT_INTER | run init inter |
AGS_SOUND_STAGING_RUN_INIT_POST | run init post |
AGS_SOUND_STAGING_FEED_INPUT_QUEUE | feed input queue |
AGS_SOUND_STAGING_AUTOMATE | automate |
AGS_SOUND_STAGING_RUN_PRE | run pre |
AGS_SOUND_STAGING_RUN_INTER | run inter |
AGS_SOUND_STAGING_RUN_POST | run post |
AGS_SOUND_STAGING_DO_FEEDBACK | do feedback |
AGS_SOUND_STAGING_FEED_OUTPUT_QUEUE | feed output queue |
AGS_SOUND_STAGING_FINI | fini |
AGS_SOUND_STAGING_CANCEL | cancel |
AGS_SOUND_STAGING_DONE | done |
AGS_SOUND_STAGING_REMOVE | remove |
AGS_SOUND_STAGING_RESET | reset |
AGS_SOUND_STAGING_FX | fx staging |
AGS_SOUND_STAGING_MIDI1_CONTROL_CHANGE | parse MIDI version 1 control change |
AGS_SOUND_STAGING_MIDI2_CONTROL_CHANGE | parse MIDI version 2 control change |
AGS_SOUND_STAGING_JACK_METADATA | check JACK metadata property change |

### enum AgsSoundStateFlags

Enum values to indicate state.

#### Members

AGS_SOUND_STATE_IS_WAITING | is waiting |
AGS_SOUND_STATE_IS_ACTIVE | is active |
AGS_SOUND_STATE_IS_PROCESSING | is processing |
AGS_SOUND_STATE_IS_TERMINATING | is terminating |
AGS_SOUND_STATE_PLUGIN_LOADED | plugin is loaded |
AGS_SOUND_STATE_PORT_LOADED | port is loaded |
AGS_SOUND_STATE_RUN_COMPLETED | run completed |

### enum AgsSoundKeyFormat

Enum values to specify key format.

#### Members

AGS_SOUND_KEY_FORMAT_16TH | key format 16th |
AGS_SOUND_KEY_FORMAT_256TH | key format 256th |